Skip to main content
DELETE
/
v1
/
tax_forms
/
{id}
Delete a tax form
curl --request DELETE \
  --url https://api.yorlet.com/v1/tax_forms/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "created": 123,
  "object": "tax_form",
  "client_secret": "<string>",
  "currency": "gbp",
  "description": "<string>",
  "options": {
    "quarter": 123,
    "year": 123
  },
  "owner": "<string>",
  "period": {
    "end": 123,
    "start": 123
  },
  "account": "<string>",
  "deleted": false,
  "metadata": {},
  "nrl6": {
    "collected": 0,
    "refunded": 0
  },
  "nrlq": {
    "collected": 0,
    "refunded": 0
  },
  "nrly": {
    "collected": 0,
    "refunded": 0
  }
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

Returns an object with a deleted parameter on success. If the tax form ID does not exist, this call throws an error.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
tax_form
client_secret
string
required

The client secret used to access the tax form.

currency
enum<string>
required

Three-letter ISO currency code, in lowercase. Must be a supported currency.

Available options:
gbp,
usd,
eur,
sek
Example:

"gbp"

description
string | null
required

An arbitrary string attached to the object. Often useful for displaying to users.

options
object
required

Options describing the period covered by the form.

owner
required

The owner the tax form is for.

period
object
required

The period covered by the tax form.

status
enum<string>
required

The current status of the tax form.

Available options:
ready,
needs_attention,
filed
type
enum<string>
required

The type of the tax form.

Available options:
nrl6,
nrlq,
nrly
account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

nrl6
object

NRL6 collected and refunded amounts.

nrlq
object

NRLQ collected and refunded amounts.

nrly
object

NRLY collected and refunded amounts.